Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3
Interface Headers

    public interface Headers

Common S3 HTTP header values used throughout the AWS S3 Java client.

Field Summary
`static String` | `AMAZON_PREFIX` Prefix for general Amazon headers: x-amz-
`static String` | `CACHE_CONTROL`
`static String` | `CONTENT_DISPOSITION`
`static String` | `CONTENT_ENCODING`
`static String` | `CONTENT_LENGTH`
`static String` | `CONTENT_MD5`
`static String` | `CONTENT_TYPE`
`static String` | `COPY_SOURCE_IF_MATCH` ETag matching constraint header for the copy object request
`static String` | `COPY_SOURCE_IF_MODIFIED_SINCE` Modified since constraint header for the copy object request
`static String` | `COPY_SOURCE_IF_NO_MATCH` ETag non-matching constraint header for the copy object request
`static String` | `COPY_SOURCE_IF_UNMODIFIED_SINCE` Unmodified since constraint header for the copy object request
`static String` | `DATE`
`static String` | `ETAG`
`static String` | `EXTENDED_REQUEST_ID` S3 response header for a request's extended debugging ID
`static String` | `GET_OBJECT_IF_MATCH` ETag matching constraint header for the get object request
`static String` | `GET_OBJECT_IF_MODIFIED_SINCE` Modified since constraint header for the get object request
`static String` | `GET_OBJECT_IF_NONE_MATCH` ETag non-matching constraint header for the get object request
`static String` | `GET_OBJECT_IF_UNMODIFIED_SINCE` Unmodified since constraint header for the get object request
`static String` | `LAST_MODIFIED`
`static String` | `METADATA_DIRECTIVE` S3 request header indicating how to handle metadata when copying an object
`static String` | `RANGE` Range header for the get object request
`static String` | `REQUEST_ID` S3 response header for a request's AWS request ID
`static String` | `S3_ALTERNATE_DATE` Amazon's alternative date header: x-amz-date
`static String` | `S3_CANNED_ACL` S3's canned ACL header: x-amz-acl
`static String` | `S3_MFA` S3's Multi-Factor Authentication header
`static String` | `S3_USER_METADATA_PREFIX` Prefix for S3 user metadata: x-amz-meta-
`static String` | `S3_VERSION_ID` S3's version ID header
`static String` | `SECURITY_TOKEN` DevPay token header
`static String` | `SERVER`
`static String` | `STORAGE_CLASS` Header describing what class of storage a user wants

Field Detail

### CACHE_CONTROL

    static final String CACHE_CONTROL

See Also:
  Constant Field Values

### CONTENT_DISPOSITION

    static final String CONTENT_DISPOSITION

See Also:
  Constant Field Values

### CONTENT_ENCODING

    static final String CONTENT_ENCODING

See Also:
  Constant Field Values

### CONTENT_LENGTH

    static final String CONTENT_LENGTH

See Also:
  Constant Field Values

### CONTENT_MD5

    static final String CONTENT_MD5

See Also:
  Constant Field Values

### CONTENT_TYPE

    static final String CONTENT_TYPE

See Also:
  Constant Field Values

### DATE

    static final String DATE

See Also:
  Constant Field Values

### ETAG

    static final String ETAG

See Also:
  Constant Field Values

### LAST_MODIFIED

    static final String LAST_MODIFIED

See Also:
  Constant Field Values

### SERVER

    static final String SERVER

See Also:
  Constant Field Values

### AMAZON_PREFIX

    static final String AMAZON_PREFIX

  Prefix for general Amazon headers: x-amz-

  See Also:
    Constant Field Values

### S3_CANNED_ACL

    static final String S3_CANNED_ACL

  S3's canned ACL header: x-amz-acl

  See Also:
    Constant Field Values

### S3_ALTERNATE_DATE

    static final String S3_ALTERNATE_DATE

  Amazon's alternative date header: x-amz-date

  See Also:
    Constant Field Values

### S3_USER_METADATA_PREFIX

    static final String S3_USER_METADATA_PREFIX

  Prefix for S3 user metadata: x-amz-meta-

  See Also:
    Constant Field Values

### S3_VERSION_ID

    static final String S3_VERSION_ID

  S3's version ID header

  See Also:
    Constant Field Values

### S3_MFA

    static final String S3_MFA

  S3's Multi-Factor Authentication header

  See Also:
    Constant Field Values

### REQUEST_ID

    static final String REQUEST_ID

  S3 response header for a request's AWS request ID

  See Also:
    Constant Field Values

### EXTENDED_REQUEST_ID

    static final String EXTENDED_REQUEST_ID

  S3 response header for a request's extended debugging ID

  See Also:
    Constant Field Values

### METADATA_DIRECTIVE

    static final String METADATA_DIRECTIVE

  S3 request header indicating how to handle metadata when copying an object

  See Also:
    Constant Field Values

### SECURITY_TOKEN

    static final String SECURITY_TOKEN

  DevPay token header

  See Also:
    Constant Field Values

### STORAGE_CLASS

    static final String STORAGE_CLASS

  Header describing what class of storage a user wants

  See Also:
    Constant Field Values

### COPY_SOURCE_IF_MATCH

    static final String COPY_SOURCE_IF_MATCH

  ETag matching constraint header for the copy object request

  See Also:
    Constant Field Values

### COPY_SOURCE_IF_NO_MATCH

    static final String COPY_SOURCE_IF_NO_MATCH

  ETag non-matching constraint header for the copy object request

  See Also:
    Constant Field Values

### COPY_SOURCE_IF_UNMODIFIED_SINCE

    static final String COPY_SOURCE_IF_UNMODIFIED_SINCE

  Unmodified since constraint header for the copy object request

  See Also:
    Constant Field Values

### COPY_SOURCE_IF_MODIFIED_SINCE

    static final String COPY_SOURCE_IF_MODIFIED_SINCE

  Modified since constraint header for the copy object request

  See Also:
    Constant Field Values

### RANGE

    static final String RANGE

  Range header for the get object request

  See Also:
    Constant Field Values

### GET_OBJECT_IF_MODIFIED_SINCE

    static final String GET_OBJECT_IF_MODIFIED_SINCE

  Modified since constraint header for the get object request

  See Also:
    Constant Field Values

### GET_OBJECT_IF_UNMODIFIED_SINCE

    static final String GET_OBJECT_IF_UNMODIFIED_SINCE

  Unmodified since constraint header for the get object request

  See Also:
    Constant Field Values

### GET_OBJECT_IF_MATCH

    static final String GET_OBJECT_IF_MATCH

  ETag matching constraint header for the get object request

  See Also:
    Constant Field Values

### GET_OBJECT_IF_NONE_MATCH

    static final String GET_OBJECT_IF_NONE_MATCH

  ETag non-matching constraint header for the get object request

  See Also:
    Constant Field Values

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.